diff -U 3 -H -d -r -N -- FL/Fl_Nav_Button.H FL/Fl_Nav_Button.H
--- FL/Fl_Nav_Button.H	1970-01-01 05:00:00.000000000 +0500
+++ FL/Fl_Nav_Button.H	2013-12-21 09:51:00.331448120 +0600
@@ -0,0 +1,242 @@
+//
+// Navigation button (written by "Dmitrij K" <kdiman at live dot ru>) for the Fast Light Tool Kit (FLTK).
+//
+// Copyright 1998-2010 by Bill Spitzak and others.
+//
+// This library is free software. Distribution and use rights are outlined in
+// the file "COPYING" which should have been included with this file.  If this
+// file is missing or damaged, see the license at:
+//
+//     http://www.fltk.org/COPYING.php
+//
+// Please report all bugs and problems on the following page:
+//
+//     http://www.fltk.org/str.php
+//
+
+#ifndef Fl_Nav_Button_H
+#define Fl_Nav_Button_H
+
+#include "Fl_Button.H"
+#include "Fl_Repeat_Button.H"
+#include "fl_draw.H"
+
+extern FL_EXPORT void oxy_arrow(int x1, int y1, Fl_Align a, bool ac, Fl_Color c, Fl_Color hc=FL_BLACK);
+
+class Fl_Nav_Repeat_Button : public Fl_Repeat_Button {
+ Fl_Color _hlcol;
+ bool _light;
+ Fl_Align _al;
+public:
+ inline void light(bool flag){ if(!(_light = flag)){ _hlcol = FL_BLACK; } }
+ inline bool light(){ return _light; }
+ inline Fl_Nav_Repeat_Button(int x, int y, int w, int h, const char* l=0):Fl_Repeat_Button(x,y,w,h,l) {
+  _hlcol = FL_BLACK;
+  _light = false;
+  align(FL_ALIGN_BOTTOM);
+  box(FL_THIN_UP_BOX);
+  down_box(FL_THIN_DOWN_BOX);
+ }
+ inline void align(Fl_Align a){
+  bool flag_oxy = (Fl::scheme() && !strcmp(Fl::scheme(), "oxy"));
+  if(a == FL_ALIGN_TOP || a == FL_ALIGN_BOTTOM || a == FL_ALIGN_RIGHT || a == FL_ALIGN_LEFT){ _al = a; }
+  if(flag_oxy){ Fl_Repeat_Button::align(a); label(""); return; }
+  switch(a){
+    case FL_ALIGN_TOP:{ Fl_Repeat_Button::align(FL_ALIGN_CENTER); Fl_Repeat_Button::label("@-42<"); break; }
+    case FL_ALIGN_BOTTOM:{ Fl_Repeat_Button::align(FL_ALIGN_CENTER); Fl_Repeat_Button::label("@-42>"); break; }
+    case FL_ALIGN_RIGHT:{ Fl_Repeat_Button::align(FL_ALIGN_CENTER); Fl_Repeat_Button::label("@-45>"); break; }
+    case FL_ALIGN_LEFT:{ Fl_Repeat_Button::align(FL_ALIGN_CENTER); Fl_Repeat_Button::label("@-45<"); break; }
+    default:{ Fl_Repeat_Button::align(a); break; }
+   }
+ }
+ inline virtual void draw(){
+  bool flag_oxy = (Fl::scheme() && !strcmp(Fl::scheme(), "oxy"));
+  Fl_Align a = Fl_Repeat_Button::align();
+  
+  if(!flag_oxy){
+   align(a);
+   Fl_Repeat_Button::draw();
+   return;
+  }
+  //else if(*label()){ label(""); }
+  
+  //Fl_Color hlcol = 0x0;
+  int dx = Fl::box_dx(FL_DOWN_BOX);
+  //int dy = Fl::box_dy(FL_DOWN_BOX);
+  int W = w();
+  int H = h();
+  int x1;
+  int y1;
+  
+  if (type() == FL_HIDDEN_BUTTON) return;
+  Fl_Color col = value() ? selection_color() : color();
+  draw_box(value() ? (down_box()?down_box():fl_down(box())) : box(), col);
+  draw_backdrop();
+  
+  switch(_al){
+   case FL_ALIGN_TOP:{
+    x1 = x()+W/2-4;
+    y1 = y()+H/2+1;
+    oxy_arrow(x1, y1, _al, active_r(), color(), _hlcol);
+    break;
+   }
+   
+   case FL_ALIGN_BOTTOM:{
+    L_BOTTOM:
+    x1 = x()+W/2-4;
+    y1 = y()+H/2-3;
+    oxy_arrow(x1, y1, _al, active_r(), color(), _hlcol);
+    break;
+   }
+   
+   case FL_ALIGN_LEFT:{
+    x1 = x()+W/2+2;
+    y1 = y()+H/2-4-1;
+    oxy_arrow(x1, y1, _al, active_r(), color(), _hlcol);
+    break;
+   }
+   
+   case FL_ALIGN_RIGHT:{
+    x1 = x()+W/2-3+dx/2;
+    y1 = y()+H/2-4-1;
+    oxy_arrow(x1, y1, _al, active_r(), color(), _hlcol);
+    break;
+   }
+   default: { goto L_BOTTOM; break; }
+  }
+ }
+ 
+ virtual int handle(int event)
+    {
+     if(!_light){ return Fl_Repeat_Button::handle(event); }
+     bool flag_oxy = (Fl::scheme() && !strcmp(Fl::scheme(), "oxy"));
+     if(!flag_oxy){ return Fl_Repeat_Button::handle(event); }
+     
+        switch (event)
+        {
+        case FL_ENTER:
+            _hlcol = fl_color_average(color(), FL_BLACK, 0.55);
+            Fl_Repeat_Button::redraw();
+            break;
+        case FL_LEAVE:
+            _hlcol = FL_BLACK;
+            Fl_Repeat_Button::redraw();
+            break;
+        }
+        return Fl_Repeat_Button::handle(event);
+    }
+};
+
+
+
+
+
+
+
+
+
+class Fl_Nav_Button : public Fl_Button {
+ Fl_Color _hlcol;
+ bool _light;
+ Fl_Align _al;
+public:
+ inline void light(bool flag){ if(!(_light = flag)){ _hlcol = FL_BLACK; } }
+ inline bool light(){ return _light; }
+ inline Fl_Nav_Button(int x, int y, int w, int h, const char* l=0):Fl_Button(x,y,w,h,l) {
+  _hlcol = FL_BLACK;
+  _light = false;
+  align(FL_ALIGN_TOP);
+  box(FL_THIN_UP_BOX);
+  down_box(FL_THIN_DOWN_BOX);
+ }
+ inline void align(Fl_Align a){
+  bool flag_oxy = (Fl::scheme() && !strcmp(Fl::scheme(), "oxy"));
+  if(a == FL_ALIGN_TOP || a == FL_ALIGN_BOTTOM || a == FL_ALIGN_RIGHT || a == FL_ALIGN_LEFT){ _al = a; }
+  if(flag_oxy){ Fl_Button::align(a); label(""); return; }
+  switch(a){
+    case FL_ALIGN_TOP:{ Fl_Button::align(FL_ALIGN_CENTER); Fl_Button::label("@-42<"); break; }
+    case FL_ALIGN_BOTTOM:{ Fl_Button::align(FL_ALIGN_CENTER); Fl_Button::label("@-42>"); break; }
+    case FL_ALIGN_RIGHT:{ Fl_Button::align(FL_ALIGN_CENTER); Fl_Button::label("@-45>"); break; }
+    case FL_ALIGN_LEFT:{ Fl_Button::align(FL_ALIGN_CENTER); Fl_Button::label("@-45<"); break; }
+    default:{ Fl_Button::align(a); break; }
+   }
+ }
+ inline virtual void draw(){
+  bool flag_oxy = (Fl::scheme() && !strcmp(Fl::scheme(), "oxy"));
+  Fl_Align a = Fl_Button::align();
+  
+  if(!flag_oxy){
+   align(a);
+   Fl_Button::draw();
+   return;
+  }
+  //else if(*label()){ label(""); }
+  
+  int dx = Fl::box_dx(FL_DOWN_BOX);
+  //int dy = Fl::box_dy(FL_DOWN_BOX);
+  int W = w();
+  int H = h();
+  int x1;
+  int y1;
+  
+  if (type() == FL_HIDDEN_BUTTON) return;
+  Fl_Color col = value() ? selection_color() : color();
+  draw_box(value() ? (down_box()?down_box():fl_down(box())) : box(), col);
+  draw_backdrop();
+  
+  switch(_al){
+   case FL_ALIGN_TOP:{
+    x1 = x()+W/2-4;
+    y1 = y()+H/2+1;
+    oxy_arrow(x1, y1, _al, active_r(), color(), _hlcol);
+    break;
+   }
+   
+   case FL_ALIGN_BOTTOM:{
+    L_BOTTOM:
+    x1 = x()+W/2-4;
+    y1 = y()+H/2-3;
+    oxy_arrow(x1, y1, _al, active_r(), color(), _hlcol);
+    break;
+   }
+   
+   case FL_ALIGN_LEFT:{
+    x1 = x()+W/2+2;
+    y1 = y()+H/2-4-1;
+    oxy_arrow(x1, y1, _al, active_r(), color(), _hlcol);
+    break;
+   }
+   
+   case FL_ALIGN_RIGHT:{
+    x1 = x()+W/2-3+dx/2;
+    y1 = y()+H/2-4-1;
+    oxy_arrow(x1, y1, _al, active_r(), color(), _hlcol);
+    break;
+   }
+   default: { goto L_BOTTOM; break; }
+  }
+ }
+ 
+ virtual int handle(int event)
+    {
+     if(!_light){ return Fl_Button::handle(event); }
+     bool flag_oxy = (Fl::scheme() && !strcmp(Fl::scheme(), "oxy"));
+     if(!flag_oxy){ return Fl_Button::handle(event); }
+     
+        switch (event)
+        {
+        case FL_ENTER:
+            _hlcol = fl_color_average(color(), FL_BLACK, 0.55);
+            Fl_Button::redraw();
+            break;
+        case FL_LEAVE:
+            _hlcol = FL_BLACK;
+            Fl_Button::redraw();
+            break;
+        }
+        return Fl_Button::handle(event);
+    }
+ 
+};
+
+#endif
diff -U 3 -H -d -r -N -- FL/Fl_Spinner.H FL/Fl_Spinner.H
--- FL/Fl_Spinner.H	2013-05-16 11:02:18.000000000 +0600
+++ FL/Fl_Spinner.H	2013-12-15 01:17:25.000000000 +0600
@@ -29,10 +29,12 @@
 #  include <FL/Enumerations.H>
 #  include <FL/Fl_Group.H>
 #  include <FL/Fl_Input.H>
-#  include <FL/Fl_Repeat_Button.H>
+#  include <FL/Fl_Nav_Button.H>
 #  include <stdio.h>
 #  include <stdlib.h>
+#  include <FL/names.h>
 
+#define BUTTON_ARROW_WIDTH 11 // width of buttons for incriment/decriment value
 
 /**
   This widget is a combination of the input
@@ -55,7 +57,7 @@
 protected:
 #endif
   Fl_Input	input_;			// Input field for the value
-  Fl_Repeat_Button
+  Fl_Nav_Repeat_Button
 		up_button_,		// Up button
 		down_button_;		// Down button
 
@@ -111,7 +113,7 @@
                   } else {
 		    sprintf(s, format_, value_);
                   }
-		  input_.value(s);
+		  input_.value(s); input_.redraw();
 		}
 
   public:
@@ -131,11 +133,20 @@
   int		handle(int event) {
 		  switch (event) {
 		    case FL_KEYDOWN :
+             if(Fl::focus() == &input_ &&
+              (Fl::event_key() == FL_Right ||
+              Fl::event_key() == FL_Left)){
+              input_.handle(event);
+              input_.redraw();
+              return 1;
+             }
 		    case FL_SHORTCUT :
 		      if (Fl::event_key() == FL_Up) {
+               up_button_.take_focus();
 			up_button_.do_callback();
 			return 1;
 		      } else if (Fl::event_key() == FL_Down) {
+               down_button_.take_focus();
 			down_button_.do_callback();
 			return 1;
 		      } else return 0;
@@ -143,10 +154,45 @@
 		    case FL_FOCUS :
 		      if (input_.take_focus()) return 1;
 		      else return 0;
-		  }
-
+		  
+           case FL_KEYUP:
+             if(Fl::focus() == &input_){
+              input_.handle(event);
+              input_.do_callback();
+              input_.redraw();
+              return 1;
+             }
+             
+           case FL_PUSH:
+            Fl_Widget *o = Fl::pushed();
+            if(o == &up_button_){
+             up_button_.take_focus();
+             up_button_.do_callback();
+             return 1;
+            } else if(o == &down_button_){
+             down_button_.take_focus();
+             down_button_.do_callback();
+             return 1;
+            }
+           
+          }
+		  
+		  if(Fl::event_inside(&input_) &&
+           (event == FL_DRAG ||event == FL_PUSH ||
+           event == FL_RELEASE)){
+           input_.handle(event);
+           input_.do_callback();
+           input_.redraw();
+           return 1;
+          }
+		  
 		  return Fl_Group::handle(event);
 		}
+		
+		void draw(){
+         if(box()){ draw_box(); }
+         for(int _i = 0; _i < children(); _i++){ child(_i)->draw(); }
+        }
 
   /** Speling mistakes retained for source compatibility \deprecated */
   double	maxinum() const { return (maximum_); }
@@ -164,11 +210,10 @@
   void		range(double a, double b) { minimum_ = a; maximum_ = b; }
   void		resize(int X, int Y, int W, int H) {
 		  Fl_Group::resize(X,Y,W,H);
-
-		  input_.resize(X, Y, W - H / 2 - 2, H);
-		  up_button_.resize(X + W - H / 2 - 2, Y, H / 2 + 2, H / 2);
-		  down_button_.resize(X + W - H / 2 - 2, Y + H - H / 2,
-		                      H / 2 + 2, H / 2);
+          input_.resize(X, Y, W - BUTTON_ARROW_WIDTH, H);
+          if(Fl::scheme() && !strcmp(Fl::scheme(), "oxy")){ Y+=1; }
+          up_button_.resize(X + W - BUTTON_ARROW_WIDTH, Y, BUTTON_ARROW_WIDTH, H / 2);
+          down_button_.resize(X + W - BUTTON_ARROW_WIDTH, Y + H / 2, BUTTON_ARROW_WIDTH, H / 2);
 		}
   /**
     Sets or returns the amount to change the value when the user clicks a button. 
@@ -249,6 +294,10 @@
     Return the selection color of the spinner widget's input field.
   */
   Fl_Color	selection_color() const { return input_.selection_color(); }
+  
+  inline Fl_Input *input(){ return &input_; }
+  inline Fl_Nav_Repeat_Button *button_up(){ return &up_button_; }
+  inline Fl_Nav_Repeat_Button *button_down(){ return &down_button_; }
 };
 
 #endif // !Fl_Spinner_H
diff -U 3 -H -d -r -N -- FL/Fl_Toggle_Browser.H FL/Fl_Toggle_Browser.H
--- FL/Fl_Toggle_Browser.H	1970-01-01 05:00:00.000000000 +0500
+++ FL/Fl_Toggle_Browser.H	2013-12-21 09:51:00.332448120 +0600
@@ -0,0 +1,71 @@
+//
+// "$Id: Fl_Browser.H 9682 2012-09-17 22:44:54Z greg.ercolano $"
+//
+// Toggle Browser for the Fast Light Tool Kit (FLTK). (author Dmitrij K, kdiman at live dot ru)
+//
+// Copyright 1998-2011 by Bill Spitzak and others.
+//
+// This library is free software. Distribution and use rights are outlined in
+// the file "COPYING" which should have been included with this file.  If this
+// file is missing or damaged, see the license at:
+//
+//     http://www.fltk.org/COPYING.php
+//
+// Please report all bugs and problems on the following page:
+//
+//     http://www.fltk.org/str.php
+//
+
+#ifndef Fl_Toggle_Browser_H
+#define Fl_Toggle_Browser_H
+
+#include "Fl.H"
+#include "Fl_Browser.H"
+
+class Fl_Toggle_Browser : public Fl_Browser {
+public:
+ Fl_Toggle_Browser(int X, int Y, int W, int H, const char *L = 0):
+ Fl_Browser(X,Y,W,H,L){
+  type(FL_MULTI_BROWSER);
+ }
+ 
+ virtual int handle(int e){
+  
+  switch(e){
+   case FL_PUSH: {
+    if ( Fl::event_button() == FL_LEFT_MOUSE ){
+     int X, Y;
+     int xx, yy, ww, hh, dx, dy;
+     
+     dx = Fl::box_dy(box())*2;
+     dy = Fl::box_dy(box())*2;
+     X=Fl::event_x(); Y=Fl::event_y();
+     xx = x()+dx; yy = y()+dy; ww = x()+w()-(dx*2); hh = y()+h()-(dy*2);
+     
+     if(hscrollbar.visible()){ hh -= hscrollbar.h(); }
+     if(scrollbar.visible()){ ww -= scrollbar.w(); }
+     
+     if(X >= xx && Y >= yy && X < ww && Y < hh){
+      void *item = NULL;
+      if((item = find_item(Fl::event_y())) != NULL){
+       Fl_Widget::take_focus();
+       // FIXME : Do we need calling callbacks or not ?
+       Fl_Browser_::select(item, !item_selected(item), 1);
+       return 0;
+      }
+     }
+    }
+    break;
+   }
+   default: break;
+  }
+  
+  return Fl_Browser::handle(e);
+ }
+};
+
+#endif
+
+//
+// End of "$Id: Fl_Browser.H 9682 2012-09-17 22:44:54Z greg.ercolano $".
+//
diff -U 3 -H -d -r -N -- FL/Makefile FL/Makefile
--- FL/Makefile	1970-01-01 05:00:00.000000000 +0500
+++ FL/Makefile	2013-12-21 12:10:19.815976164 +0600
@@ -0,0 +1,54 @@
+#
+# "$Id: Makefile.in 8864 2011-07-19 04:49:30Z greg.ercolano $"
+#
+# Header makefile for the Fast Light Tool Kit (FLTK).
+#
+# Copyright 1998-2010 by Bill Spitzak and others.
+#
+# This library is free software. Distribution and use rights are outlined in
+# the file "COPYING" which should have been included with this file.  If this
+# file is missing or damaged, see the license at:
+#
+#      http://www.fltk.org/COPYING.php
+#
+# Please report all bugs and problems on the following page:
+#
+#      http://www.fltk.org/str.php
+#
+
+include ../makeinclude
+
+all:
+
+clean:
+
+depend:
+
+install:
+	echo "Installing include files in $(DESTDIR)$(includedir)..."
+	$(RMDIR) $(DESTDIR)$(includedir)/FL
+	$(INSTALL_DIR) $(DESTDIR)$(includedir)/FL
+	for file in *.[hH]; do \
+		$(INSTALL_DATA) $$file $(DESTDIR)$(includedir)/FL; \
+	done
+#	cd $(DESTDIR)$(includedir)/FL;\
+#	for file in *.H; do\
+#		$(RM) "`basename $$file H`h";\
+#		$(LN) $$file "`basename $$file H`h";\
+#	done
+#	$(RM) $(DESTDIR)$(includedir)/FL/fl_file_chooser.H
+#	$(LN) Fl_File_Chooser.H $(DESTDIR)$(includedir)/FL/fl_file_chooser.H
+#	$(RM) $(DESTDIR)$(includedir)/FL/fl_file_chooser.h
+#	$(LN) Fl_File_Chooser.H $(DESTDIR)$(includedir)/FL/fl_file_chooser.h
+#	$(RM) $(DESTDIR)$(includedir)/Fl
+#	$(LN) FL $(DESTDIR)$(includedir)/Fl
+
+uninstall:
+	echo "Uninstalling include files..."
+	$(RMDIR) $(DESTDIR)$(includedir)/FL
+#	$(RM) $(DESTDIR)$(includedir)/Fl
+
+
+#
+# End of "$Id: Makefile.in 8864 2011-07-19 04:49:30Z greg.ercolano $".
+#
diff -U 3 -H -d -r -N -- fluid/Fl_Menu_Type.cxx fluid/Fl_Menu_Type.cxx
--- fluid/Fl_Menu_Type.cxx	2011-09-29 02:43:05.000000000 +0600
+++ fluid/Fl_Menu_Type.cxx	2013-12-21 09:51:00.333448120 +0600
@@ -541,7 +541,7 @@
 
 Fl_Type* Fl_Input_Choice_Type::click_test(int, int) {
   if (selected) return 0; // let user move the widget
-  Fl_Menu_* w = ((Fl_Input_Choice*)o)->menubutton();
+  Fl_Menu_* w = (Fl_Menu_*)o;
   if (!menusize) return 0;
   const Fl_Menu_Item* save = w->mvalue();
   w->value((Fl_Menu_Item*)0);
diff -U 3 -H -d -r -N -- fluid/Fl_Widget_Type.cxx fluid/Fl_Widget_Type.cxx
--- fluid/Fl_Widget_Type.cxx	2011-09-29 02:43:05.000000000 +0600
+++ fluid/Fl_Widget_Type.cxx	2013-12-21 09:51:00.334448120 +0600
@@ -678,6 +678,14 @@
 {"GTK_THIN_DOWN_BOX",0,0,(void *)FL_GTK_THIN_DOWN_BOX},
 {"GTK_ROUND_UP_BOX",0,0,(void *)FL_GTK_ROUND_UP_BOX},
 {"GTK_ROUND_DOWN_BOX",0,0,(void *)FL_GTK_ROUND_DOWN_BOX},
+{"OXY_UP_BOX",0,0,(void *)FL_OXY_UP_BOX},
+{"OXY_DOWN_BOX",0,0,(void *)FL_OXY_DOWN_BOX},
+{"OXY_THIN_UP_BOX",0,0,(void *)FL_OXY_THIN_UP_BOX},
+{"OXY_THIN_DOWN_BOX",0,0,(void *)FL_OXY_THIN_DOWN_BOX},
+{"OXY_ROUND_UP_BOX",0,0,(void *)FL_OXY_ROUND_UP_BOX},
+{"OXY_ROUND_DOWN_BOX",0,0,(void *)FL_OXY_ROUND_DOWN_BOX},
+{"OXY_BUTTON_UP_BOX",0,0,(void *)FL_OXY_BUTTON_UP_BOX},
+{"OXY_BUTTON_DOWN_BOX",0,0,(void *)FL_OXY_BUTTON_DOWN_BOX},
 {0},
 {"frames",0,0,0,FL_SUBMENU},
 {"UP_FRAME",0,0,(void *)FL_UP_FRAME},
@@ -696,6 +704,10 @@
 {"GTK_DOWN_FRAME",0,0,(void *)FL_GTK_DOWN_FRAME},
 {"GTK_THIN_UP_FRAME",0,0,(void *)FL_GTK_THIN_UP_FRAME},
 {"GTK_THIN_DOWN_FRAME",0,0,(void *)FL_GTK_THIN_DOWN_FRAME},
+{"OXY_UP_FRAME",0,0,(void *)FL_OXY_UP_FRAME},
+{"OXY_DOWN_FRAME",0,0,(void *)FL_OXY_DOWN_FRAME},
+{"OXY_THIN_UP_FRAME",0,0,(void *)FL_OXY_THIN_UP_FRAME},
+{"OXY_THIN_DOWN_FRAME",0,0,(void *)FL_OXY_THIN_DOWN_FRAME},
 {0},
 {0}};
 
diff -U 3 -H -d -r -N -- fluid/alignment_panel.cxx fluid/alignment_panel.cxx
--- fluid/alignment_panel.cxx	2011-07-19 10:49:30.000000000 +0600
+++ fluid/alignment_panel.cxx	2013-12-21 09:51:00.336448120 +0600
@@ -153,6 +153,7 @@
  {"None", 0,  0, 0, 0, FL_NORMAL_LABEL, 0, 14, 0},
  {"Plastic", 0,  0, 0, 0, FL_NORMAL_LABEL, 0, 14, 0},
  {"GTK+", 0,  0, 0, 0, FL_NORMAL_LABEL, 0, 14, 0},
+ {"Oxy", 0,  0, 0, 0, FL_NORMAL_LABEL, 0, 14, 0},
  {0,0,0,0,0,0,0,0,0}
 };
 
diff -U 3 -H -d -r -N -- fluid/alignment_panel.fl fluid/alignment_panel.fl
--- fluid/alignment_panel.fl	2011-07-19 10:49:30.000000000 +0600
+++ fluid/alignment_panel.fl	2013-12-21 09:51:00.337448120 +0600
@@ -187,6 +187,10 @@
         label {GTK+}
         xywh {10 10 35 25}
       }
+      MenuItem {} {
+        label {Oxy}
+        xywh {20 20 35 25}
+      }
     }
     Fl_Group {} {open
       xywh {116 43 220 126} labelfont 1 align 0
diff -U 3 -H -d -r -N -- fluid/fluid.cxx fluid/fluid.cxx
--- fluid/fluid.cxx	2012-04-05 11:12:30.000000000 +0600
+++ fluid/fluid.cxx	2013-12-21 09:51:00.337448120 +0600
@@ -1113,6 +1113,9 @@
     case 3 : // GTK+
       Fl::scheme("gtk+");
       break;
+    case 4 : // OXY
+      Fl::scheme("oxy");
+      break;
   }
 
   fluid_prefs.set("scheme", scheme_choice->value());
diff -U 3 -H -d -r -N -- src/Fl_Browser.cxx src/Fl_Browser.cxx
--- src/Fl_Browser.cxx	2012-07-24 10:37:22.000000000 +0600
+++ src/Fl_Browser.cxx	2013-12-21 09:51:00.338448120 +0600
@@ -361,6 +361,7 @@
 int Fl_Browser::item_height(void *item) const {
   FL_BLINE* l = (FL_BLINE*)item;
   if (l->flags & NOTDISPLAYED) return 0;
+  bool flag_oxy = (Fl::scheme() && !strcmp(Fl::scheme(), "oxy"));
 
   int hmax = 2; // use 2 to insure we don't return a zero!
 
@@ -368,6 +369,7 @@
     // For blank lines set the height to exactly 1 line!
     fl_font(textfont(), textsize());
     int hh = fl_height();
+    if (flag_oxy) hh += 2;
     if (hh > hmax) hmax = hh;
   } else {
     const int* i = column_widths();
@@ -398,6 +400,7 @@
       else str = NULL;
       if((!str && *ptr) || (str && ptr < str)) {
 	fl_font(font, tsize); int hh = fl_height();
+    if (flag_oxy) hh += 2;
 	if (hh > hmax) hmax = hh;
       }
       if (!str || !*str) break;
diff -U 3 -H -d -r -N -- src/Fl_Browser_.cxx src/Fl_Browser_.cxx
--- src/Fl_Browser_.cxx	2012-12-05 23:17:31.000000000 +0600
+++ src/Fl_Browser_.cxx	2013-12-21 10:39:20.997326133 +0600
@@ -394,22 +394,31 @@
   // if not a full redraw or if it is selected:
   void* l = top();
   int yy = -offset_;
+  bool flag_oxy = (Fl::scheme() && !strcmp(Fl::scheme(), "oxy"));
   for (; l && yy < H; l = item_next(l)) {
     int hh = item_height(l);
     if (hh <= 0) continue;
     if ((damage()&(FL_DAMAGE_SCROLL|FL_DAMAGE_ALL)) || l == redraw1 || l == redraw2) {
       if (item_selected(l)) {
-	fl_color(active_r() ? selection_color() : fl_inactive(selection_color()));
-	fl_rectf(X, yy+Y, W, hh);
+	if (flag_oxy) draw_box(FL_UP_BOX, X, yy+Y, W, hh, selection_color());
+    else {
+     fl_color(active_r() ? selection_color() : fl_inactive(selection_color()));
+     fl_rectf(X, yy+Y, W, hh);
+    }
+    
       } else if (!(damage()&FL_DAMAGE_ALL)) {
 	fl_push_clip(X, yy+Y, W, hh);
 	draw_box(box() ? box() : FL_DOWN_BOX, x(), y(), w(), h(), color());
 	fl_pop_clip();
       }
-      item_draw(l, X-hposition_, yy+Y, W+hposition_, hh);
+      
+      fl_push_clip(X+4, yy+Y, W-8, hh);
+      item_draw(l, X-hposition_+4, yy+Y, W+hposition_-8, hh);
+      fl_pop_clip();
+      
       if (l == selection_ && Fl::focus() == this) {
-	draw_box(FL_BORDER_FRAME, X, yy+Y, W, hh, color());
-	draw_focus(FL_NO_BOX, X, yy+Y, W+1, hh+1);
+	if (!flag_oxy) draw_box(FL_BORDER_FRAME, X, yy+Y, W, hh, color()); // this is border for selection rect
+	draw_focus(flag_oxy?FL_UP_BOX:FL_NO_BOX, X, yy+Y, flag_oxy?W:W+1, hh+1);
       }
       int ww = item_width(l);
       if (ww > max_width) {max_width = ww; max_width_item = l;}
